Subject: bug#79361: minor jsonrpc optimisation suggestions

From: Mattias Engdegård <[email-masked]>
Date: Wed, 3 Sep 2025 15:04:28 +0200

On a more practical note, is there a dedicated maintainer for jsonrpc?
I lazily assumed it was João but now see Daniel Pettersson's name in MAINTAINERS (CC:ed).

If there isn't one, or (perhaps equivalently) the answer is the collective of interested Emacs devs with particular weight given to past jsonrpc contributors, then I'll just make a more polished patch, test some more, and push if there are no objections.

(For that matter, lsp-mode would benefit from a similar reform and more but I'll let someone else worry about that. Will be happy to answer questions though.)